Skip to main content
POST
Start an evaluation run

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required

Project slug, UUID, or domain that identifies the project.

eval_id
string
required
Minimum string length: 1

Query Parameters

runtime_target_kind
enum<string> | null
Available options:
main_branch,
environment,
preview_branch,
null
target_environment_id
string<uuid> | null
target_branch_id
string<uuid> | null
source_target_kind
enum<string>
Available options:
project,
preview_branch
runtime_target_branch_id
string<uuid> | null

Runtime branch, independent of the evaluation source branch. For preview execution, defaults to target_branch_id for compatibility.

Body

application/json
input
any

Eval run input: any JSON value (object, array, string, number, boolean or null).

config
object

Response

Eval run

kind
enum<string>
required
Available options:
eval-run
runId
string
required
evalId
string
required
status
enum<string>
required
Available options:
pending,
running,
waiting,
completed,
failed,
cancelled
targetKind
enum<string>
required
Available options:
agent
target
string
required
summary
object | null
required
reportPath
string | null
required
metadata
object
required
createdAt
string
required
startedAt
string | null
required
completedAt
string | null
required
source
object
error
any